;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

TEN:	EQU $0086	; (Timer Enable in TSCR) fr timer funktion.	(0086 Bit 7)
PAEN:	EQU $00A0	; (Pulse accumulator Subsystem in PACTL)	(00A0 Bit 6)
TCTL4:  EQU $008B	; (008B Bit 0 und 1) auf 0 1 setzen
PACN0:  EQU $00A5	; (lesen der Impulse)
IPACR:	EQU $00A8	; (setzen des ersten Bits zum Aktivieren von PACN0)


DDRB:		EQU $0003
PORTB:		EQU $0001
COPCTL:		EQU 	$0016

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $4000

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG	;start

	lds 	#RAM_END
	clr	COPCTL		;clear Watchdog
	movb	#$ff, DDRB	;Output
	movb	#$ff,PORTB
	ldaa	TEN
	oraa	#$80
	staa	TEN
	ldaa	PAEN
	oraa	#$40
	staa	PAEN
	ldaa	TCTL4
	oraa	#$02
	staa	TCTL4
	ldaa	IPACR
	oraa	#$01
	staa	IPACR
	ldaa	#$10
L2:	
	ldab	PACN0		;lade aktuellen Zhlerstand
	cba
	bge	L2		;
	movb	#$00,PACN0	;auf 0 setzen
	movb	#$00,PORTB
	jsr	DELAY12_2HZ	;jump to Subroutine
	movb	#$FF,PORTB
	jmp	L2			
	

DELAY12_2HZ: 

	
	ldx	#$0
L3:	inx			;count x until MAX
	cpx	#$FFFF
	nop
	nop
	nop
	nop		
	bne	L3
	rts 			;Return to Subroutine	