;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

TEN:	EQU $0086	; (Timer Enable in TSCR) fr timer funktion.	(0086 Bit 7)
TCTL4:  EQU $008B	; (008B Bit 0 und 1) auf 0 1 setzen
PACN0:  EQU $00A5	; (lesen der Impulse)
PACB:	EQU $00A4	; als 16 BitWert
IPACR:	EQU $00A8	; (setzen des ersten Bits zum Aktivieren von PACN0)
PBCTL:  EQU $00B0	; zum Aktivieren von Modus B(PACN0 und PACN1 zu 16 Bit zusammengefasst)
PBFLG:  EQU $00B1	; Bit 1 rcksetzten, damit Interrupt ausgelst wird

DDRB:		EQU $0003
PORTB:		EQU $0001
COPCTL:		EQU $0016

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $4000

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG	;start

	lds 	#RAM_END
	clr	COPCTL		;clear Watchdog
	movb	#$ff, DDRB	;Output
	movb	#$ff,PORTB
	ldaa	PBCTL		;Modus B aktiviert
	oraa	#$42
	staa	PBCTL		;Interrupt setzen
	ldaa	TCTL4
	oraa	#$02
	staa	TCTL4
	movw	#$FF00,PACB	; damit nach 256 Impulsen der Interrupt ausgelst wird
	ldaa	TEN
	oraa	#$80
	staa	TEN
	cli			;Interrupt ist mglich
L1:	jmp	L1;	

DELAY12_2HZ: 

	
	ldx	#$0
L3:	inx			;count x until MAX
	cpx	#$FFFF
	nop
	nop
	nop
	nop		
	bne	L3
	rts 			;Return to Subroutine	


	ORG	$3500;	
	movb	#$00,PORTB
	ldaa	PBFLG
	oraa	#$02
	staa	PBFLG		;aktiviert resetten
	jsr	DELAY12_2HZ	;jump to Subroutine
	movb	#$FF,PORTB
	movw	#$FF00,PACB	; damit nach 256 Impulsen der Interrupt ausgelst wird
	rti			; return from Interrupt
	