;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

TEN:	 	EQU $0086	; (Timer Enable in TSCR) fr timer funktion.	(0086 Bit 7)
COPCTL:		EQU $0016
RTIFLG:		EQU $0015	; Interrupt-Flag zurcksetzen
RTICTL:		EQU $0014	; Bit0-Bit2 setzten, damit wir angeben, wie oft ein Interrupt ausgelst wird 
				; und Bit7, um Real Time Interrupt zu "enablen"

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $4000

SECONDS:	EQU $2004
MINUTES:	EQU $2002
HOURS:		EQU $2000
ZAEHLER:	EQU $2006

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG	;start

	lds 	#RAM_END
	clr	COPCTL		;clear Watchdog
	movw	#$0000, SECONDS
	movw	#$0000, MINUTES
	movw	#$0000, HOURS
	
	movb 	#$80, RTIFLG 	;RTI-Interruptflag zurcksetzen
	movb 	#$85, RTICTL 	;RTI-Interrupt freigeben alle 16,384ms*61 = 1000s (ungefhr)
	ldaa	TEN		
	oraa	#$80
	staa	TEN
	movw	#$0000, ZAEHLER
	cli 			;CCR I=0 Interrupts ermglichen
L1: 	jmp L1	 		;zurck 
;Interrupthandler -------------------------------------------------------
	
	ORG	$3500;	
	movb 	#$80,RTIFLG 	;RTI-Interruptflag zurcksetzen
	ldx	ZAEHLER
	inx
	stx	ZAEHLER
	cpx	#$3D
	bne	END		; erst nach 61 Durchlufen die Sekunden hochzhlen
	movw	#$0000, ZAEHLER
	ldx	SECONDS
	inx
	stx	SECONDS
	cpx	#$3C
	bne	END		;Falls noch nicht 60 Sekunden
	movw	#$0000, SECONDS
	ldx	MINUTES
	inx
	stx	MINUTES
	cpx	#$3C
	bne	END
	movw	#$0000, MINUTES
	ldx	HOURS
	inx
	stx	HOURS
	
END:	rti			; return from Interrupt
