;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

DDRB:  EQU $0003
PORTB: EQU $0001
PORTA: EQU $0000
PUCR:	EQU $000C
COPCTL: EQU $0016
DDRA:	EQU $0002

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	    ;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $4000

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG		;start

	lds 	#RAM_END		;init SP, top or RAM.Application Note
	clr	    COPCTL			;clear Watchdog


	movb 	#$FF,DDRB		;PortB output
	movb	#$00,DDRA		;PortA input

L1:	ldaa	PORTA			;Load Value from PortA into accumulator a#
	anda	#$01			;Take Out Bit0
	coma				;Negate for On-if-high
	staa	PORTB			;store this value into PortB
	jmp	    L1				