;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

DDRA:  EQU $0002
PORTA: EQU $0000
COPCTL: EQU $0016

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $4000

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG	;start

	lds 	#RAM_END	;init SP, top or RAM.Application Note
	clr	    COPCTL	;clear Watchdog
	movb 	#$FF,DDRA	;Port A Output
	
L1:	
        jsr	DELAY0_5HZ		;jump to Subroutine
        movb	#$01, PORTA
        jmp	L1  
	
;--- Subroutine : Delay12_2Hz ---

DELAY12_2HZ: 

	
	ldx	#$0
	movb	#$00,PORTA
L2:	inx			;count x until MAX
	cpx	#$FFFF
	nop
	nop
	nop
	nop		
	bne	L2
	rts 			;Return to Subroutine

;--- Subroutine : Delay2Hz ---

DELAY2HZ: 

	ldaa	#$0
L3:	inca			;count a until 6
	jsr	DELAY12_2HZ
	cmpa	#$06
	bne	L3
	rts 			;Return to Subroutine
	
 	
;--- Subroutine : Delay0_5Hz ---

DELAY0_5HZ: 

	ldaa	#$0
L4:	inca			;count a until 6
	jsr	DELAY12_2HZ
	cmpa	#$18
	bne	L4
	rts 			;Return to Subroutine
